Bug 154028 - allow settings Convertors to process also .xml file
allow settings Convertors to process also .xml file
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Stanislav Aubrecht
issues@platform
: API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-27 15:27 UTC by Stanislav Aubrecht
Modified: 2009-02-19 22:53 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
proposed patch (5.34 KB, patch)
2008-11-27 15:31 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2008-11-27 15:27:41 UTC
the current settings spi will recognize and instantiate only files with .settings extension. i propose a definition of a
new folder attribute "recognizeXML" which will instruct the convertors to process also .xml files in it.
Comment 1 Stanislav Aubrecht 2008-11-27 15:31:44 UTC
Created attachment 74243 [details]
proposed patch
Comment 2 Stanislav Aubrecht 2008-11-27 15:33:09 UTC
if there are no major objections, i'd like to integrate this issue tomorrow (nov 28th) because issue #153835 depends on it
Comment 3 Jaroslav Tulach 2008-11-27 21:13:36 UTC
OK.
Comment 4 Stanislav Aubrecht 2008-11-28 11:14:15 UTC
done

e5d2ceb9f219
Comment 5 Quality Engineering 2008-11-29 05:00:59 UTC
Integrated into 'main-golden', will be available in build *200811290201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/e5d2ceb9f219
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #154028 - allow settings Convertors to process also .xml files


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo